Hi there,
I am trying to install the Nvidia driver according to pure h8te's guid.

the driver downloads alright and it even runs but when I go to install almost anything now I get an error
Code:
rrors were encountered while processing:
 nvidia-driver
 cuda-toolkit
 cuda-sdk
even for nvclock or most things now... i get this

Code:
john@smithy1:~$ sudo apt-get install nvclock
Reading package lists... Done
Building dependency tree
Reading state information... Done
nvclock is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
3 not fully installed or removed.
After this operation, 0B of additional disk space will be used.


Fatal server error:
Cannot establish any listening sockets - Make sure an X server isn't already running
cp: cannot stat `/root/xorg.conf.new': No such file or directory
rm: cannot remove `/root/xorg.conf.new': No such file or directory
dpkg: error processing nvidia-driver (--configure):
 subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of cuda-toolkit:
 cuda-toolkit depends on nvidia-driver; however:
  Package nvidia-driver is not configured yet.
dpkg: error processing cuda-toolkit (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of cuda-sdk:
 cuda-sdk depends on nvidia-driver; however:
  Package nvidia-driver is not configured yet.
 cuda-sdk depends on cuda-toolkit; however:
  Package cuda-toolkit is not configured yet.
dpkg: error processing cuda-sdk (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
                          No apport report written because the error message indicates its a followup error from a previous failure.
                                                    Errors were encountered while processing:
 nvidia-driver
 cuda-toolkit
 cuda-sdk
E: Sub-process /usr/bin/dpkg returned an error code (1)
so there's a lot of problems

I'm running as user john but when I want to install something I use sudo apt-get instal blah blah


could this be the problem


Please help